package de.intevation.artifactdatabase.state;


/**
 * The default implementation of a Facet.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultFacet implements Facet {

    /** The index of this facet.*/
    protected int index;

    /** The name of this facet.*/
    protected String name;

    /** The description of this facet.*/
    protected String description;


    /**
     * The default constructor to create new Facet objects.
     *
     * @param name The name of this new facet.
     * @param description The description of this new facet.
     */
    public DefaultFacet(String name, String description) {
        this(0, name, description);
    }


    /**
     * The default constructor to create new Facet objects.
     *
     * @param index The index of this new facet.
     * @param name The name of this new facet.
     * @param description The description of this new facet.
     */
    public DefaultFacet(int index, String name, String description) {
        this.index       = index;
        this.name        = name;
        this.description = description;
    }


    public int getIndex() {
        return index;
    }


    public String getName() {
        return name;
    }


    public String getDescription() {
        return description;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
